Bug 869843

Summary: ResponseTime metrics are not collected for Apache when SNMP is not being used
Product: [Other] RHQ Project Reporter: Larry O'Leary <loleary>
Component: PluginsAssignee: Thomas Segismont <tsegismo>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp, tsegismo
Target Milestone: ---   
Target Release: RHQ 4.9   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 869834 Environment:
Last Closed: 2014-03-26 04:31:29 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 869834    

Description Larry O'Leary 2012-10-24 19:32:29 EDT
+++ This bug was initially created as a clone of JBoss ON Bug #869834 +++

Description of problem:
After enabling Apache ResponseTime metrics by installing the Apache response time module (mod_rt.so) call time data is not collected and therefore, not displayed in the ON UI.

Version-Release number of selected component (if applicable):
4.4.0.JON310GA

How reproducible:
Always

Steps to Reproduce:
1. Install ON system
2. Install Apache ResponeTime module into Apache httpd[1]
3. Start Apache httpd server
4. Start ON system
5. Import httpd server into inventory
6. Enabled calltime metrics on the virtual host's monitoring > schedules page
7. Set the response time log file path and name under the virtual host's inventory > connection page
8. Generate some activity to the httpd server (http://localhost/)
9. Wait for the metric collection schedule interval to pass

[1]: https://access.redhat.com/knowledge/docs/en-US/JBoss_Operations_Network/3.1/html/Admin_Setting_up_Monitoring_Alerts_and_Operations/rt-configuration.html#Apache_Configuration

Actual results:
No calltime data is displayed on the Calltime page and the agent logs the following message when DEBUG is enabled:
    DEBUG [ResourceContainer.invoker.daemon-11] (org.rhq.plugins.apache.ApacheVirtualHostServiceComponent)- Failed to connect to SNMP agent at 127.0.0.1/1610/public - aborting metric collection...

Expected results:
Calltime data should be collected.
SNMP is not needed.

Additional info:
This is occurring because ApacheVirtualHostServiceComponent.getValues(MeasurementReport report, Set<MeasurementScheduleRequest> schedules) assumes that it is only collecting metrics from SNMP. The following lines of code break calltime metrics for Apache:

        //bail out quickly if there's no SNMP support
        if (primaryIndex < 0)
            return;
...
        if (!snmpSession.ping()) {
            log.debug("Failed to connect to SNMP agent at " + snmpSession + " - aborting metric collection...");
            return;
        }
Comment 1 Thomas Segismont 2013-06-25 10:01:52 EDT
Fixed in master.

See comment https://bugzilla.redhat.com/show_bug.cgi?id=869834#c2
Comment 2 Heiko W. Rupp 2014-03-26 04:31:29 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.